' Simple script to set the DST value in Skymap Pro depending on
' the current system value of DST.
' Tested with Windows XP and SMP 10 & 11
'
' Possible use - place in your start-up folder.
'
' Mark Crossley - 1st November 2005


const HKEY_CURRENT_USER = &H80000001

Set objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\.\root\cimv2")

Set colComputer = objWMIService.ExecQuery("Select * from Win32_ComputerSystem")

For Each objComputer in colComputer 
    If objComputer.DaylightInEffect Then
        dblDST = 1
    Else
        dblDST = 0
    End If
Next

Set objReg=GetObject("winmgmts:{impersonationLevel=impersonate}!\\.\root\default:StdRegProv")
 
strKeyPath = "Software\Skymap Software"
strSubkeyPath = "\Observer"
strValueName = "DST"

'Get all the subkeys under strKeyPath
objReg.EnumKey HKEY_CURRENT_USER, strKeyPath, arrSubKeys
 
'Set every DST flag in every version of SMP present in the registry
For Each subkey In arrSubKeys
    'Ignore any other sub-keys
    If LCase(Left(subkey,6)) = "skymap" Then
        objReg.SetDWORDvalue HKEY_CURRENT_USER, strKeyPath & "\" & subkey & strSubKeyPath, strValueName, dblDST
    End If
Next
